<template>
  <h1 style="margin-bottom: 20px;">Tic Tac Toe</h1>
  <GameBoard />
  <button class="btn btn-success" @click="handleReset" style="margin-top: 20px;">Reset</button>
</template>

<script>
import { store } from './store';
import GameBoard from './components/GameBoard.vue'
export default {
  name: 'App',
  data() {
    return {
      store
    }
  },
  components: {
    GameBoard
  },
  methods:{
    handleReset(){
      this.store.space = ['','','','','','','','','']
      this.store.currentGameStatus = []
      this.store.lastPlay=''
      this.store.winner=''
    }
  }
  
}
</script>

<style>
#app {
  font-family: Avenir, Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: center;
  color: #2c3e50;
  margin-top: 60px;
}
</style>
